Package com.enonic.xp.project

## Class ProjectConstants

- java.lang.Object
- - com.enonic.xp.project.ProjectConstants

-     public final class ProjectConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Project` | `DEFAULT_PROJECT` |
    `static ProjectName` | `DEFAULT_PROJECT_NAME` |
    `static String` | `PROJECT_DATA_SET_NAME` |
    `static String` | `PROJECT_DESCRIPTION_PROPERTY` |
    `static String` | `PROJECT_DISPLAY_NAME_PROPERTY` |
    `static String` | `PROJECT_ICON_PROPERTY` |
    `static String` | `PROJECT_NAME_PREFIX` |
    `static String` | `PROJECT_PARENTS_PROPERTY` |
    `static String` | `PROJECT_REPO_ID_DEFAULT` |
    `static String` | `PROJECT_REPO_ID_PREFIX` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_REPO_ID_PREFIX

          public static final String PROJECT_REPO_ID_PREFIX

      See Also:
        Constant Field Values

    - #### PROJECT_NAME_PREFIX

          public static final String PROJECT_NAME_PREFIX

      See Also:
        Constant Field Values

    - #### PROJECT_REPO_ID_DEFAULT

          public static final String PROJECT_REPO_ID_DEFAULT

      See Also:
        Constant Field Values

    - #### PROJECT_DATA_SET_NAME

          public static final String PROJECT_DATA_SET_NAME

      See Also:
        Constant Field Values

    - #### PROJECT_DISPLAY_NAME_PROPERTY

          public static final String PROJECT_DISPLAY_NAME_PROPERTY

      See Also:
        Constant Field Values

    - #### PROJECT_DESCRIPTION_PROPERTY

          public static final String PROJECT_DESCRIPTION_PROPERTY

      See Also:
        Constant Field Values

    - #### PROJECT_ICON_PROPERTY

          public static final String PROJECT_ICON_PROPERTY

      See Also:
        Constant Field Values

    - #### PROJECT_PARENTS_PROPERTY

          public static final String PROJECT_PARENTS_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_PROJECT_NAME

          public static final ProjectName DEFAULT_PROJECT_NAME

    - #### DEFAULT_PROJECT

          public static final Project DEFAULT_PROJECT